Update an actor endpoint
PATCH
/v1/actor/{name}PATCH
/v1/actor/{name}
const url = 'https://api.wabe.sh/v1/actor/chat';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"endpoint":"https://chat.example.com/wabe"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.wabe.sh/v1/actor/chat \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "endpoint": "https://chat.example.com/wabe" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Example
chatRegistration name in the current project.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
endpoint
Public HTTPS endpoint with a DNS hostname. A path is allowed. Omit credentials, query and fragment.
string format: uri
endpointSecret
Shared secret used to authenticate the Wabe broker to your handler.
string
Example
{ "endpoint": "https://chat.example.com/wabe"}Responses
Section titled “Responses”Updated registration.
Media typeapplication/json
object
id
required
string format: uuid
Example
779742ad-cd09-4e1c-9170-f20968b344d4name
required
string
Example
chatdisk
Optional default disk for the public invocation URL.
string
Example
chat-stateendpoint
required
string format: uri
Example
https://chat.example.com/wabefetchUrlTemplate
required
string
Example
https://api.wabe.sh/v1/actor/chat/disks/{disk}/instances/{instance}/fetchInvalid update.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Missing, invalid or revoked project API key.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Registration not found in this project.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Actor API temporarily unavailable.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string